Skip to main content
GET
/
integrations
/
scaleway
/
container-registry
/
project
/
{projectId}
/
credentials
List Scaleway Credentials
curl --request GET \
  --url https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials
{
  "success": true,
  "data": {
    "credentials": [
      {
        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "region": "fr-par",
        "namespaceId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "namespaceName": "production-registry",
        "registryEndpoint": "rg.fr-par.scw.cloud/production-registry",
        "description": "Production registry",
        "createdAt": "2026-03-17T10:30:00.000Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cybedefend.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectId
string
required
The UUID of the project

Authorization

Requires read permission on the project.

Response

success
boolean
Whether the request succeeded
data
object
{
  "success": true,
  "data": {
    "credentials": [
      {
        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "region": "fr-par",
        "namespaceId": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "namespaceName": "production-registry",
        "registryEndpoint": "rg.fr-par.scw.cloud/production-registry",
        "description": "Production registry",
        "createdAt": "2026-03-17T10:30:00.000Z"
      }
    ]
  }
}